Total Access Docs
Openapi

List marketplace apps or get a single app

Returns approved public apps, optionally filtered by category. If `app_id` is provided, returns a single app with reviews.

GET
/api/v1/oauth/marketplace

Returns approved public apps, optionally filtered by category. If app_id is provided, returns a single app with reviews.

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for REST API endpoints (user-facing apps).

Authorization: Bearer <jwt_access_token>

Tokens expire after 15 minutes. Use the refresh token to obtain a new one.

In: header

Query Parameters

category?string
app_id?string

Response Body

application/json

curl -X GET "https://example.com/api/v1/oauth/marketplace"
{  "success": true,  "data": [    {      "id": "string",      "app_name": "string",      "description": "string",      "logo_url": "string",      "homepage_url": "string",      "category": "string",      "client_id": "string",      "redirect_uris": [        "string"      ],      "scopes": [        "string"      ],      "auth_flows": [        "authorization_code"      ],      "is_public": true,      "status": "pending",      "developer_id": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "reviews": [    {}  ]}